Bug 1006078 - State storage location
State storage location
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Build and Assembly (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity low
: ER5
: 6.0.0
Assigned To: Alexandre Porcelli
Jiri Svitak
:
Depends On:
Blocks: bpms6_ux/brms6_ux
  Show dependency treegraph
 
Reported: 2013-09-09 20:38 EDT by Catherine Robson
Modified: 2015-06-01 21:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:09:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Catherine Robson 2013-09-09 20:38:37 EDT
When you start the server a .index and .niogit and repository directory is created. These directories are generated wherever you executed the standalone.sh file from (pwd).  This should be configured to be in a specific directory instead so that if someone starts the server from the ~/, jboss-eap-6.1, jboss-eap-6.1/bin directory for example the state is stored in a consistent location.
Comment 3 Alexandre Porcelli 2013-10-23 09:27:45 EDT
you can configure both using enviroment variables, here are the variables:

org.kie.nio.git.dir -> defines where store the .niogit folder (that will be replaced in next release to org.uberfire.nio.git.dir)
org.kie.kieora.index.dir -> defines where store the .index folder (that will be replaced in next release to org.uberfire.metadata.index.dir)
Comment 4 Jiri Svitak 2013-12-04 07:48:51 EST
You can specify the state storage location using java environment variables, for example like this:
jboss-eap-6.1.1/bin/standalone.sh -Dorg.uberfire.nio.git.dir=/home/user/tmp
-Dorg.uberfire.metadata.index.dir=/home/user/tmp

Verified in ER5.

Note You need to log in before you can comment on or make changes to this bug.